# Generated from cuke_parser-1.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cuke_parser

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}
Summary: cuke_parser-1.0.3
License: MIT
URL: https://github.com/PatientKeeper/cuke_parser
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.11.0
# BuildRequires: rubygem(rspec) < 2.12
BuildArch: noarch

%description
Library to easily extract information for tracking your Cukes, their overall
performance, and generates HTML reports.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/test

%changelog
* Mon Feb 07 2022 mockbuilder - 1.0.3-1
- Initial package
